# Class SelectRowService<Data>

#### Type Parameters

- Data = unknown

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:17

#####
Index

### Constructors

constructor

### Properties

selectedRows$
selectionModel

### Accessors

selectedRows

### Methods

clear
compareWith

## Constructors

### constructor

- new SelectRowService<Data>(options?): SelectRowService<Data>

- #### Type Parameters

  - Data = unknown

  #### Parameters

  - options: SelectRowOptions<Data> = null

  #### Returns SelectRowService<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:26

## Properties

### selectedRows$

selectedRows$: Observable<Data[]>

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:18

### `Readonly` selectionModel

selectionModel: SelectionModel<Data> = ...

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:20

## Accessors

### selectedRows

- get selectedRows(): Data[]

- #### Returns Data[]

  - Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:22

## Methods

### clear

- clear(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:42

### compareWith

- compareWith(a, b): boolean

- #### Parameters

  - a: Data
  - b: Data

  #### Returns boolean

  - Defined in packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:46